/* avagl: surface_profile.hh
 * 
 * Copyright 2003,2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#include "gltk_Q5B.hh"
class SurfaceProfile :
	public gltk::glArea
{
	GLint profile;
	double bx;
	double by;
	GLfloat yangle;
	unsigned wid;
	unsigned len;
	double scale;
	const int * prof;
	const bool * active;
	int down_button;

	void gl_setup();
	void gl_new_size(int w, int h);
	void gl_draw();
	void on_mouse_func(int button, int state, int x, int y);
	void on_motion_func(int x, int y);

	void drawgl();
	void setupgl();
	void draw_profile();
	bool change;
public:
	SurfaceProfile(unsigned = 32, unsigned = 64, double = 0.030);
	~SurfaceProfile();
	void rotate_y(double);
	void set_profile(const int *);
	void set_active(const bool *);
	void redraw();
};
